AclEntryFlag (Java Platform SE 8 )
Keywords: java.nio.file.attribute.AclEntryFlag class
Date: 2026-01-21

compact1, compact2, compact3
java.nio.file.attribute

## Enum AclEntryFlag

- java.lang.Object
- - java.lang.Enum<AclEntryFlag>
  - - java.nio.file.attribute.AclEntryFlag

- All Implemented Interfaces:
    Serializable, Comparable<AclEntryFlag>

      public enum AclEntryFlag
      extends Enum<AclEntryFlag>

  Defines the flags for used by the flags component of an ACL `entry`.

  In this release, this class does not define flags related to `AclEntryType.AUDIT` and `AclEntryType.ALARM` entry types.

  Since:
    1.7

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIRECTORY_INHERIT` Can be placed on a directory and indicates that the ACL entry should be added to each new directory created.
    `FILE_INHERIT` Can be placed on a directory and indicates that the ACL entry should be added to each new non-directory file created.
    `INHERIT_ONLY` Can be placed on a directory but does not apply to the directory, only to newly created files/directories as specified by the `FILE_INHERIT` and `DIRECTORY_INHERIT` flags.
    `NO_PROPAGATE_INHERIT` Can be placed on a directory to indicate that the ACL entry should not be placed on the newly created directory which is inheritable by subdirectories of the created directory.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AclEntryFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AclEntryFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE_INHERIT

          public static final AclEntryFlag FILE_INHERIT

      Can be placed on a directory and indicates that the ACL entry should be added to each new non-directory file created.

    - #### DIRECTORY_INHERIT

          public static final AclEntryFlag DIRECTORY_INHERIT

      Can be placed on a directory and indicates that the ACL entry should be added to each new directory created.

    - #### NO_PROPAGATE_INHERIT

          public static final AclEntryFlag NO_PROPAGATE_INHERIT

      Can be placed on a directory to indicate that the ACL entry should not be placed on the newly created directory which is inheritable by subdirectories of the created directory.

    - #### INHERIT_ONLY

          public static final AclEntryFlag INHERIT_ONLY

      Can be placed on a directory but does not apply to the directory, only to newly created files/directories as specified by the `FILE_INHERIT` and `DIRECTORY_INHERIT` flags.

  - ### Method Detail

    - #### values

          public static AclEntryFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AclEntryFlag c : AclEntryFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AclEntryFlag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.